package flow;

public class IVR_NodeRecord {
	
	public String NodeBeginTime  ;    //     访问时间  进入当前节点的时间

	public String UCID  ;    //     呼叫ID  UCID

	public String VisitHotline  ;    //     访问热线  通过被叫号码判断是那个热线

	public String NodeCoding  ;    //     节点编码  sheet里有说明

	public String NodeName  ;    //     节点名称  sheet里有说明

	public String ANI  ;    //     主叫号码  ANI

	public String NodeEndTime  ;    //     节点处理结束时间  用户正确输入、错误输入等全算是出节点，统计当前时间点

	public int NodeProcessingTime  ;    //     节点处理时长  单位毫秒

	public int UpperStoryYorN  ;    //     是否点击返回上一层  在菜单中点击了返回上一层。1：点击了返回上一层；0：没点击返回上一层；2：不涉及

	public int RepeatYornYorN  ;    //     是否点击重听  在菜单中点击了重听。1：点击了重听；0：没点击重听；2：不涉及

	public int FirstEntryYorN  ;    //     是否为第一次进入  输错、重听等全不算第一次进入,1：第一次；0：不是第一次；2：不涉及

	public int InputYorN  ;    //     是否正确输入  用户正确选择了这个菜单。1：用户选择正确；0：NOMATCH或NOINPUT等；2：不涉及

	public int TransferYorN  ;    //     是否点击转人工  1：点击了转人工；0：没点，2：不涉及

	public String TransferNumber    ;    //     转接号码  转VDN或者坐席、分机

	public int NodeOrder  ;    //     按键顺序  这是按的第几个

	public String IncomingBeginTime  ;    //     电话进线时间  当前通话进入IVR时间

	public String IncomingEndTime  ;    //     结束时间  IVR通话结束时间

	public int TalkTime  ;    //     通话时长  IVR通话的总时长

	public String AllKeys    ;    //     整通通话的按键记录  全部按键记录

	public int NoInputCount   ;   //   用户未按键数量
	
	public int NoMatchCount   ;   //   用户按错数量

	public CMenuConfig cMenuConfig;//数据库主表内容

	public String getNodeBeginTime() {
		return NodeBeginTime;
	}

	public void setNodeBeginTime(String nodeBeginTime) {
		NodeBeginTime = nodeBeginTime;
	}

	public String getUCID() {
		return UCID;
	}

	public void setUCID(String uCID) {
		UCID = uCID;
	}

	public String getVisitHotline() {
		return VisitHotline;
	}

	public void setVisitHotline(String visitHotline) {
		VisitHotline = visitHotline;
	}

	public String getNodeCoding() {
		return NodeCoding;
	}

	public void setNodeCoding(String nodeCoding) {
		NodeCoding = nodeCoding;
	}

	public String getNodeName() {
		return NodeName;
	}

	public void setNodeName(String nodeName) {
		NodeName = nodeName;
	}

	public String getANI() {
		return ANI;
	}

	public void setANI(String aNI) {
		ANI = aNI;
	}

	public String getNodeEndTime() {
		return NodeEndTime;
	}

	public void setNodeEndTime(String nodeEndTime) {
		NodeEndTime = nodeEndTime;
	}

	public int getNodeProcessingTime() {
		return NodeProcessingTime;
	}

	public void setNodeProcessingTime(int nodeProcessingTime) {
		NodeProcessingTime = nodeProcessingTime;
	}

	public int getUpperStoryYorN() {
		return UpperStoryYorN;
	}

	public void setUpperStoryYorN(int upperStoryYorN) {
		UpperStoryYorN = upperStoryYorN;
	}

	public int getRepeatYornYorN() {
		return RepeatYornYorN;
	}

	public void setRepeatYornYorN(int repeatYornYorN) {
		RepeatYornYorN = repeatYornYorN;
	}

	public int getFirstEntryYorN() {
		return FirstEntryYorN;
	}

	public void setFirstEntryYorN(int firstEntryYorN) {
		FirstEntryYorN = firstEntryYorN;
	}

	public int getInputYorN() {
		return InputYorN;
	}

	public void setInputYorN(int inputYorN) {
		InputYorN = inputYorN;
	}

	public int getTransferYorN() {
		return TransferYorN;
	}

	public void setTransferYorN(int transferYorN) {
		TransferYorN = transferYorN;
	}

	public String getTransferNumber() {
		return TransferNumber;
	}

	public void setTransferNumber(String transferNumber) {
		TransferNumber = transferNumber;
	}

	public int getNodeOrder() {
		return NodeOrder;
	}

	public void setNodeOrder(int nodeOrder) {
		NodeOrder = nodeOrder;
	}

	public String getIncomingBeginTime() {
		return IncomingBeginTime;
	}

	public void setIncomingBeginTime(String incomingBeginTime) {
		IncomingBeginTime = incomingBeginTime;
	}

	public String getIncomingEndTime() {
		return IncomingEndTime;
	}

	public void setIncomingEndTime(String incomingEndTime) {
		IncomingEndTime = incomingEndTime;
	}

	public int getTalkTime() {
		return TalkTime;
	}

	public void setTalkTime(int talkTime) {
		TalkTime = talkTime;
	}

	public String getAllKeys() {
		return AllKeys;
	}

	public void setAllKeys(String allKeys) {
		AllKeys = allKeys;
	}

	public int getNoInputCount() {
		return NoInputCount;
	}

	public void setNoInputCount(int noInputCount) {
		NoInputCount = noInputCount;
	}

	public int getNoMatchCount() {
		return NoMatchCount;
	}

	public void setNoMatchCount(int noMatchCount) {
		NoMatchCount = noMatchCount;
	}

	public CMenuConfig getcMenuConfig() {
		return cMenuConfig;
	}

	public void setcMenuConfig(CMenuConfig cMenuConfig) {
		this.cMenuConfig = cMenuConfig;
	}

	@Override
	public String toString() {
		return "IVR_NodeRecord [NodeBeginTime=" + NodeBeginTime + ", UCID="
				+ UCID + ", VisitHotline=" + VisitHotline + ", NodeCoding="
				+ NodeCoding + ", NodeName=" + NodeName + ", ANI=" + ANI
				+ ", NodeEndTime=" + NodeEndTime + ", NodeProcessingTime="
				+ NodeProcessingTime + ", UpperStoryYorN=" + UpperStoryYorN
				+ ", RepeatYornYorN=" + RepeatYornYorN + ", FirstEntryYorN="
				+ FirstEntryYorN + ", InputYorN=" + InputYorN
				+ ", TransferYorN=" + TransferYorN + ", TransferNumber="
				+ TransferNumber + ", NodeOrder=" + NodeOrder
				+ ", IncomingBeginTime=" + IncomingBeginTime
				+ ", IncomingEndTime=" + IncomingEndTime + ", TalkTime="
				+ TalkTime + ", AllKeys=" + AllKeys + ", NoInputCount="
				+ NoInputCount + ", NoMatchCount=" + NoMatchCount
				+ ", cMenuConfig=" + cMenuConfig + "]";
	}

	public IVR_NodeRecord(String nodeBeginTime, String uCID,
			String visitHotline, String nodeCoding, String nodeName,
			String aNI, String nodeEndTime, int nodeProcessingTime,
			int upperStoryYorN, int repeatYornYorN, int firstEntryYorN,
			int inputYorN, int transferYorN, String transferNumber,
			int nodeOrder, String incomingBeginTime, String incomingEndTime,
			int talkTime, String allKeys, int noInputCount, int noMatchCount,
			CMenuConfig cMenuConfig) {
		super();
		NodeBeginTime = nodeBeginTime;
		UCID = uCID;
		VisitHotline = visitHotline;
		NodeCoding = nodeCoding;
		NodeName = nodeName;
		ANI = aNI;
		NodeEndTime = nodeEndTime;
		NodeProcessingTime = nodeProcessingTime;
		UpperStoryYorN = upperStoryYorN;
		RepeatYornYorN = repeatYornYorN;
		FirstEntryYorN = firstEntryYorN;
		InputYorN = inputYorN;
		TransferYorN = transferYorN;
		TransferNumber = transferNumber;
		NodeOrder = nodeOrder;
		IncomingBeginTime = incomingBeginTime;
		IncomingEndTime = incomingEndTime;
		TalkTime = talkTime;
		AllKeys = allKeys;
		NoInputCount = noInputCount;
		NoMatchCount = noMatchCount;
		this.cMenuConfig = cMenuConfig;
	}

	public IVR_NodeRecord() {
		super();
	}
	
}
